microsoft-foundry.rest.security.o-auth2-auth
Agent Session Files
Upload a session file
PUT
/agents/{agent_name}/endpoint/sessions/{agent_session_id}/files/content
Uploads binary file content to the specified path in the session sandbox. The service stores the file relative to the session home directory and rejects payloads larger than 50 MB.
Paramètres de chemin d’accès
agent_name
string
obligatoire
The name of the agent.
agent_session_id
string
obligatoire
The session ID.
Paramètres de la requête
path
string
obligatoire
The destination file path within the sandbox, relative to the session home directory.
api-version
string
obligatoire
The API version to use for this operation.
Corps de la demande
Content-Type: application/octet-stream
Réponses
The request has succeeded and a new resource has been created as a result.
Corps
Content-Type: application/json
path
string
obligatoire
The path where the file was written, relative to the session home directory.
bytes_written
integer
obligatoire
Number of bytes written.
Requête
PUT /agents/{agent_name}/endpoint/sessions/{agent_session_id}/files/content HTTP/1.1
Response
Status: 201
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json